#ifndef AKENTI_X509_CERTIFICATE_HPP
#define AKENTI_X509_CERTIFICATE_HPP

#include "AkentiX509CertificateImpl.hpp"
#include "AkentiCertificate.hpp"

namespace Akenti {

/**
  */
class AkentiX509Certificate : public AkentiCertificate {

public:

  /**
    */
  AkentiX509Certificate() {
  }

  /**
    */
  AkentiX509Certificate(const Certificate& cert) 
    : AkentiCertificate(new AkentiX509CertificateImpl(cert)) { 
  }

  /**
    */
  const AkentiX509CertificateImpl* operator->() const {
    return (const AkentiX509CertificateImpl*) get();
  }
  
protected:

  typedef AkentiX509CertificateImpl* ImplType;

};

} // end of namespace Akenti

#endif
